Kaiten
Instances

Create a new instance

Create a new instance with the provided details

POST
/instances

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://demo.kaiten.sh/instances" \  -H "Content-Type: application/json" \  -d '{    "customerId": "123e4567-e89b-12d3-a456-426614174003",    "description": "This is a sample instance description",    "endLicenseDate": "2024-10-01T12:00:00Z",    "licenseId": "123e4567-e89b-12d3-a456-426614174004",    "licenseSlug": "my-license",    "metadata": {      "key": "value"    },    "name": "My Instance",    "platform": {      "type": "kubernetes",      "version": "1.21"    },    "startLicenseDate": "2023-10-01T12:00:00Z"  }'
{
  "createdAt": "2023-10-01T12:00:00Z",
  "createdBy": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "John Doe"
  },
  "customerId": "123e4567-e89b-12d3-a456-426614174003",
  "customerSlug": "acme-corp",
  "deletedAt": "2023-10-01T12:00:00Z",
  "deploymentZoneId": "123e4567-e89b-12d3-a456-426614174005",
  "description": "This is a sample instance description",
  "endLicenseDate": "2024-10-01T12:00:00Z",
  "id": "123e4567-e89b-12d3-a2456-426614174000",
  "licenseId": "123e4567-e89b-12d3-a456-426614174004",
  "licenseSlug": "my-license",
  "metadata": {
    "key": "value"
  },
  "name": "My Instance",
  "platform": {
    "type": "kubernetes",
    "version": "1.21"
  },
  "slug": "my-instance",
  "startLicenseDate": "2023-10-01T12:00:00Z",
  "updatedAt": "2023-10-01T12:00:00Z",
  "updatedBy": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "John Doe"
  }
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}